CVE-2023-45869

CVSS 3.1 Score 9.0 of 10 (high)

Details

Published Oct 26, 2023
Updated: Nov 14, 2023
CWE ID 79

Summary

CVE-2023-45869 is a critical vulnerability that affects ILIAS 7.25 (2023-09-12). It allows any authenticated user to remotely execute arbitrary operating system commands when a highly privileged account accesses an XSS payload. This vulnerability exists in the execQuoted() method of the ilUtil class, allowing attackers to inject malicious commands into the system. The potential danger of this vulnerability is that it can compromise the integrity, confidentiality, and availability of both the ILIAS installation and the underlying operating system. Remediation for this vulnerability is not provided in the given text.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-45869 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options